Debian Bug report logs - #248055
missing appropriate powerpc kernel on sarge CD

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: John Gilmore <gnu@toad.com>

Date: Sat, 8 May 2004 23:03:01 UTC

Severity: normal

Tags: d-i

Done: Steve McIntyre <steve@einval.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to John Gilmore <gnu@toad.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Gilmore <gnu@toad.com>
To: submit@bugs.debian.org, gnu@toad.com
Subject: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Sat, 08 May 2004 15:52:58 -0700
Package: debian-installer
Version: (from 20040502 sarge install CD1 from jigdo)

Two problems with installation, both fatal.  Doing install on
brand-new PowerBook G4 (with 12" screen).

My system was already partitioned from a previous attempt to install Sarge,
and it had a first-stage and a yaboot installed from the previous attempt.

(1)  The installer went OK until I reached the stage "Install yaboot loader".
There it said "Looking for root partition", then popped up a message box:
  Failed to mount /target/proc
  Mounting the /proc filesystem on /target/proc failed
  Please check the system log or the output on the third console (tty3).
  Warning: Your system may be unbootable!

It took me several tries to switch to tty3 (because the PowerBook has
a fucked up keyboard without an obviously working Alt key and obviously
working Function keys).  (Various of my attempts resulted in the screen
changing, with further popups.)  By the time I got to tty3, I could see
nothing resembling an error message.

I switched to the tty2 shell and determined that /target/proc was
already mounted.  I unmounted it from the shell.  Then I switched
back to tty1 and asked it to try "Install yaboot loader" again.  This
time it worked, or appeared to work.  I did the "set debconf level"
menu item, then did the "finish installation" item and it rebooted.

(2)  Upon reboot, the first-stage boot came up, I let it default to Linux,
yaboot came up, and I let it default.  However it couldn't find the kernel:

  boot:  linux
  Please wait, loading kernel...
  /pci@f4000000/ata-6@d/disk@0:12,/vmlinux: No such file or directory

I rebooted the CD and got to a shell.  Fsck'd and mounted the root
partition (fsck found no errors).  In / is vmlinuz (with a z), not
vmlinux (with an x).

Yaboot can't boot a vmlinuz, but debian-installer is installing one.
Yaboot would like to boot a vmlinux, but there is none there.

-- System Information:
Debian Release: testing/unstable
Architecture: ppc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 248055@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: John Gilmore <gnu@toad.com>, 248055@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#248055: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Sun, 9 May 2004 11:11:29 +0100
clone 248055 -1
reassign -1 yaboot-installer
retitle -1 yaboot-installer: cope with /target/proc being mounted already
thanks

On Sat, May 08, 2004 at 03:52:58PM -0700, John Gilmore wrote:
> (1)  The installer went OK until I reached the stage "Install yaboot loader".
> There it said "Looking for root partition", then popped up a message box:
>   Failed to mount /target/proc
>   Mounting the /proc filesystem on /target/proc failed
>   Please check the system log or the output on the third console (tty3).
>   Warning: Your system may be unbootable!
> 
> It took me several tries to switch to tty3 (because the PowerBook has
> a fucked up keyboard without an obviously working Alt key and obviously
> working Function keys).  (Various of my attempts resulted in the screen
> changing, with further popups.)  By the time I got to tty3, I could see
> nothing resembling an error message.
> 
> I switched to the tty2 shell and determined that /target/proc was
> already mounted.  I unmounted it from the shell.

Hm, we can make yaboot-installer more tolerant here. I've cloned off a
bug for this.

> (2)  Upon reboot, the first-stage boot came up, I let it default to Linux,
> yaboot came up, and I let it default.  However it couldn't find the kernel:
> 
>   boot:  linux
>   Please wait, loading kernel...
>   /pci@f4000000/ata-6@d/disk@0:12,/vmlinux: No such file or directory
> 
> I rebooted the CD and got to a shell.  Fsck'd and mounted the root
> partition (fsck found no errors).  In / is vmlinuz (with a z), not
> vmlinux (with an x).
> 
> Yaboot can't boot a vmlinuz, but debian-installer is installing one.
> Yaboot would like to boot a vmlinux, but there is none there.

Sounds like it's installed the apus kernel by mistake. This is a
combination of the CD you're using lacking the correct kernel (I assume;
could you look for kernel-image-2.4.25-powerpc?) and known design
problems in base-installer that mean it can end up falling back to
unusable kernels if it can't find the one it wanted.

Thanks for your report,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Bug 248055 cloned as bug 248102. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to John Gilmore <gnu@toad.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 248055@bugs.debian.org (full text, mbox):

From: John Gilmore <gnu@toad.com>
To: Colin Watson <cjwatson@debian.org>
Cc: 248055@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#248055: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Sun, 09 May 2004 16:49:02 -0700
> Sounds like it's installed the apus kernel by mistake. This is a
> combination of the CD you're using lacking the correct kernel (I assume;
> could you look for kernel-image-2.4.25-powerpc?) and known design
> problems in base-installer that mean it can end up falling back to
> unusable kernels if it can't find the one it wanted.

Here are all the kernel images on the 20040502 PPC sarge install CD:

% find . -name kernel-image\* -print
./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-smp-prep_2.4.25-8_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-small-pmac_2.4.25-8_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-prep_2.4.25-8_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-power4-chrp_2.4.25-8_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-power3-chrp_2.4.25-8_powerpc.deb
./pool/main/k/kernel-patch-2.4.20-apus/kernel-image-2.4.20-apus_2.4.20-1_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-apus/kernel-image-apus_2.4.25-2_powerpc.deb
./pool/main/k/kernel-patch-2.4.25-apus/kernel-image-2.4.25-apus_2.4.25-2_powerpc.deb




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 248055@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: John Gilmore <gnu@toad.com>
Cc: 248055@bugs.debian.org, debian-cd@lists.debian.org
Subject: Re: Bug#248055: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Mon, 10 May 2004 02:10:30 +0100
On Sun, May 09, 2004 at 04:49:02PM -0700, John Gilmore wrote:
> > Sounds like it's installed the apus kernel by mistake. This is a
> > combination of the CD you're using lacking the correct kernel (I assume;
> > could you look for kernel-image-2.4.25-powerpc?) and known design
> > problems in base-installer that mean it can end up falling back to
> > unusable kernels if it can't find the one it wanted.
> 
> Here are all the kernel images on the 20040502 PPC sarge install CD:
> 
> % find . -name kernel-image\* -print
> ./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-smp-prep_2.4.25-8_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-small-pmac_2.4.25-8_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-powerpc-prep_2.4.25-8_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-power4-chrp_2.4.25-8_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-powerpc/kernel-image-2.4.25-power3-chrp_2.4.25-8_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.20-apus/kernel-image-2.4.20-apus_2.4.20-1_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-apus/kernel-image-apus_2.4.25-2_powerpc.deb
> ./pool/main/k/kernel-patch-2.4.25-apus/kernel-image-2.4.25-apus_2.4.25-2_powerpc.deb

kernel-image-2.4.25-powerpc-pmac appears to be on CD 9 (!). debian-cd,
is there some way that this can be made more sensible, if this hasn't
already been done since 20040502? We shouldn't have 2.4.20 on CD 1, nor
kernel-image-*-smp-*, as base-installer won't install either. At the
very least kernel-image-2.4.25-powerpc-pmac should be added, as that's
probably the most common of the possible targets.

We'll want to add 2.6.5 at some point too I think, but I don't know how
much other stuff that'll push off CD 1 ...

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to John Gilmore <gnu@toad.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 248055@bugs.debian.org (full text, mbox):

From: John Gilmore <gnu@toad.com>
To: Colin Watson <cjwatson@debian.org>
Cc: 248055@bugs.debian.org, debian-cd@lists.debian.org
Subject: Re: Bug#248055: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Mon, 10 May 2004 01:25:40 -0700
thanks

> kernel-image-2.4.25-powerpc-pmac appears to be on CD 9 (!).

If I boot the install CD, chroot into /target and get networking set
up, and apt-get install the above package, the system is able to boot.

The system remains half-set-up (e.g. networking was unconfigured and I
did it by hand), but getting closer.

I'm happy to keep reinstalling this machine for another week or two
with new release CDs.  Eventually the person who it's for will want a
working machine (!) and I'll have to jerry-rig whatever isn't working
on the install CD by then.  But meanwhile we can work a bunch of bugs
out of the install process on Macintoshes.

	John



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#248055; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to John Gilmore <gnu@toad.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 248055@bugs.debian.org (full text, mbox):

From: John Gilmore <gnu@toad.com>
To: Colin Watson <cjwatson@debian.org>
Cc: 248055@bugs.debian.org, 248102@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#248055: debian-installer installs compressed kernel that yaboot can't boot; has /proc problem
Date: Mon, 17 May 2004 16:08:48 -0700
thanks

Yesterday I ran the 20040509 jigdo CD sarge installer (the latest one I
found), on my PowerBook G4, and the installation went fine up to the
step where it couldn't find an appropriate kernel.  The /proc problem
in yaboot-installer indeed seems to be fixed (this ISO included
yaboot-installer_0.0.19).  Also, rather than installing an
inappropriate kernel, the debian installer (I don't know which
version) gave me the pop-up message:

            [!!] Install the base system
             No installable kernel found

  No installable kernel was found in the defined APT sources.
  The current default kernel package is 'kernel-image'.
  You may try to continue though this rather strange error is probably fatal.

This is a big improvement.  Now the next thing remaining to be fixed
is to put an appropriate "powerpc-pmac" kernel onto CD1, or to provide
a way for users to add to the set of sources (e.g. by configuring a
network connection along with the CDROM) so they can download an
appropriate kernel during the install.

	John Gilmore



Bug reassigned from package `debian-installer' to `debian-cd'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: d-i Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to John Gilmore <gnu@toad.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 248055-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 218032-done@bugs.debian.org, 239078-done@bugs.debian.org, 239290-done@bugs.debian.org, 246948-done@bugs.debian.org, 248055-done@bugs.debian.org, 251825-done@bugs.debian.org
Subject: Closing old bugs
Date: Sun, 8 Oct 2006 13:35:11 +0100
[Message part 1 (text/plain, inline)]
 #218032 - Descarga CD's con jigdo
 #239078 - install: Beta3, BIOS does not boot CD
 #239290 - Can not boot the CD at all
 #246948 - No error if CD is ejected while integrity is being tested
 #248055 - missing appropriate powerpc kernel on sarge CD
 #251825 - full cd isses: missing netcfg, missing kernel for modern macs
 
d-i and debian CDs have seen lots of development (including a stable
release and several etch betas) since the last traffic on these bugs,
so I'm closing these - the reported problems should all be fixed by
now. If you're still experiencing problems, please re-open or open a
new bug against newer versions.

Thanks,
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Who needs computer imagery when you've got Brian Blessed?
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:55:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:27:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.